Subject: [Ietf-languages] Forms for ISO 639-3 changes (1 of 5: Deprecations)

From: "Doug Ewell" <[email-masked]>
Date: Fri, 13 Mar 2020 10:06:43 -0700

Here is the first of 5 sets of proposed records and registration forms for changes to the Registry resulting from the annual batch of ISO 639-3 changes.

The review period for all of these changes extends though Friday, March 27 AoE, which is 12:00 UTC on March 28. Please review these, particularly for clerical errors, as this process is always a bit complex.

As usual, for ease of reviewing (I hope), these will be divided into separate posts based on the sections of the 639-3 "Summary of Outcomes" document, as follows:

1. Deprecations (retirements) from other than a split of a language code element
2. Deprecations (retirements) and creations from code element splits
3. Entirely new code elements
4. Updates: Name, Scope, Macrolanguage membership, Denotation changes
5. One additional change not reflected in the document

This first section (Deprecations) is usually the simplest, but there are some special cases this year:

Babalia Creole Arabic ('bbz') was encompassed by the macrolanguage for Arabic ('ar'), and therefore both a language and extlang subtag existed and have been deprecated.

Khalaj ('kjf') was renamed to "Khalaj [Indo-Iranian]" to avoid conflicting with another language subtag, 'klj', which was simultaneously renamed from "Turkic Khalaj" to "Khalaj". RFC 5646, Section 3.1.5 says that a deprecated and non-deprecated subtag of the same type (here, language) can have the same Description only if they are "semantically equivalent." The poster child for this rule was Hebrew ('he' and deprecated 'iw')., but the two "Khalaj" languages aren't equivalent, and so one had to be renamed. Section 3.1.5 also would have required the deprecated subtag ('kjf') to use the non-deprecated subtag ('klj') as its Preferred-Value, which again wouldn't be appropriate in this case.

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2020-xx-xx
%%
Type: language
Subtag: aoh
Description: Arma
Added: 2009-07-29
Deprecated: 2020-xx-xx
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org

3. Record Requested:

Type: language
Subtag: aoh
Description: Arma
Deprecated: 2020-xx-xx

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration tracks a change made to ISO 639-3 effective
2020-01-23, retiring the code element 'aoh' for Arma as non-existent.
No Preferred-Value is indicated.

For more information on the ISO 639-3 change, refer to:
https://iso639-3.sil.org/sites/iso639-3/files/reports/639-3_ChangeRequests_2019_Summary.pdf

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2020-xx-xx
%%
Type: language
Subtag: ayy
Description: Tayabas Ayta
Added: 2009-07-29
Deprecated: 2020-xx-xx
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org

3. Record Requested:

Type: language
Subtag: ayy
Description: Tayabas Ayta
Deprecated: 2020-xx-xx

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration tracks a change made to ISO 639-3 effective
2020-01-23, retiring the code element 'ayy' for Tayabas Ayta as
non-existent. No Preferred-Value is indicated.

For more information on the ISO 639-3 change, refer to:
https://iso639-3.sil.org/sites/iso639-3/files/reports/639-3_ChangeRequests_2019_Summary.pdf

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2020-xx-xx
%%
Type: language
Subtag: bbz
Description: Babalia Creole Arabic
Added: 2009-07-29
Deprecated: 2020-xx-xx
Macrolanguage: ar
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org

3. Record Requested:

Type: language
Subtag: bbz
Description: Babalia Creole Arabic
Deprecated: 2020-xx-xx
Macrolanguage: ar

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration tracks a change made to ISO 639-3 effective
2020-01-23, retiring the code element 'bbz' for Babalia Creole Arabic as
non-existent. No Preferred-Value is indicated. Both the existing primary
language subtag and the existing extended language subtag were modified.

For more information on the ISO 639-3 change, refer to:
https://iso639-3.sil.org/sites/iso639-3/files/reports/639-3_ChangeRequests_2019_Summary.pdf

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2020-xx-xx
%%
Type: extlang
Subtag: bbz
Description: Babalia Creole Arabic
Added: 2009-07-29
Deprecated: 2020-xx-xx
Preferred-Value: bbz
Prefix: ar
Macrolanguage: ar
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org

3. Record Requested:

Type: extlang
Subtag: bbz
Description: Babalia Creole Arabic
Deprecated: 2020-xx-xx
Preferred-Value: bbz
Prefix: ar
Macrolanguage: ar

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration tracks a change made to ISO 639-3 effective
2020-01-23, retiring the code element 'bbz' for Babalia Creole Arabic as
non-existent. No Preferred-Value is indicated. Both the existing primary
language subtag and the existing extended language subtag were modified.

For more information on the ISO 639-3 change, refer to:
https://iso639-3.sil.org/sites/iso639-3/files/reports/639-3_ChangeRequests_2019_Summary.pdf

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2020-xx-xx
%%
Type: language
Subtag: bpb
Description: Barbacoas
Added: 2009-07-29
Deprecated: 2020-xx-xx
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org

3. Record Requested:

Type: language
Subtag: bpb
Description: Barbacoas
Deprecated: 2020-xx-xx

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration tracks a change made to ISO 639-3 effective
2020-01-23, retiring the code element 'bpb' for Barbacoas as
non-existent. No Preferred-Value is indicated.

For more information on the ISO 639-3 change, refer to:
https://iso639-3.sil.org/sites/iso639-3/files/reports/639-3_ChangeRequests_2019_Summary.pdf

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2020-xx-xx
%%
Type: language
Subtag: cca
Description: Cauca
Added: 2009-07-29
Deprecated: 2020-xx-xx
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org

3. Record Requested:

Type: language
Subtag: cca
Description: Cauca
Deprecated: 2020-xx-xx

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration tracks a change made to ISO 639-3 effective
2020-01-23, retiring the code element 'cca' for Cauca as non-existent.
No Preferred-Value is indicated.

For more information on the ISO 639-3 change, refer to:
https://iso639-3.sil.org/sites/iso639-3/files/reports/639-3_ChangeRequests_2019_Summary.pdf

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2020-xx-xx
%%
Type: language
Subtag: cdg
Description: Chamari
Added: 2009-07-29
Deprecated: 2020-xx-xx
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org

3. Record Requested:

Type: language
Subtag: cdg
Description: Chamari
Deprecated: 2020-xx-xx

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration tracks a change made to ISO 639-3 effective
2020-01-23, retiring the code element 'cdg' for Chamari as non-existent.
No Preferred-Value is indicated.

For more information on the ISO 639-3 change, refer to:
https://iso639-3.sil.org/sites/iso639-3/files/reports/639-3_ChangeRequests_2019_Summary.pdf

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2020-xx-xx
%%
Type: language
Subtag: dgu
Description: Degaru
Added: 2009-07-29
Deprecated: 2020-xx-xx
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org

3. Record Requested:

Type: language
Subtag: dgu
Description: Degaru
Deprecated: 2020-xx-xx

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration tracks a change made to ISO 639-3 effective
2020-01-23, retiring the code element 'dgu' for Degaru as non-existent.
No Preferred-Value is indicated.

For more information on the ISO 639-3 change, refer to:
https://iso639-3.sil.org/sites/iso639-3/files/reports/639-3_ChangeRequests_2019_Summary.pdf

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2020-xx-xx
%%
Type: language
Subtag: drr
Description: Dororo
Added: 2009-07-29
Deprecated: 2020-xx-xx
Preferred-Value: kzk
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org

3. Record Requested:

Type: language
Subtag: drr
Description: Dororo
Deprecated: 2020-xx-xx
Preferred-Value: kzk

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration tracks a change made to ISO 639-3 effective
2020-01-23, merging 'drr' for Dororo into 'kzk' (Kazukuru).

For more information on the ISO 639-3 change, refer to:
https://iso639-3.sil.org/sites/iso639-3/files/reports/639-3_ChangeRequests_2019_Summary.pdf

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2020-xx-xx
%%
Type: language
Subtag: ekc
Description: Eastern Karnic
Added: 2013-09-10
Deprecated: 2020-xx-xx
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org

3. Record Requested:

Type: language
Subtag: ekc
Description: Eastern Karnic
Deprecated: 2020-xx-xx

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration tracks a change made to ISO 639-3 effective
2020-01-23, retiring the code element 'ekc' for Eastern Karnic as
non-existent. No Preferred-Value is indicated.

For more information on the ISO 639-3 change, refer to:
https://iso639-3.sil.org/sites/iso639-3/files/reports/639-3_ChangeRequests_2019_Summary.pdf

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2020-xx-xx
%%
Type: language
Subtag: gli
Description: Guliguli
Added: 2009-07-29
Deprecated: 2020-xx-xx
Preferred-Value: kzk
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org

3. Record Requested:

Type: language
Subtag: gli
Description: Guliguli
Deprecated: 2020-xx-xx
Preferred-Value: kzk

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration tracks a change made to ISO 639-3 effective
2020-01-23, merging 'gli' for Guliguli into 'kzk' (Kazukuru).

For more information on the ISO 639-3 change, refer to:
https://iso639-3.sil.org/sites/iso639-3/files/reports/639-3_ChangeRequests_2019_Summary.pdf

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2020-xx-xx
%%
Type: language
Subtag: kjf
Description: Khalaj [Indo-Iranian]
Added: 2009-07-29
Deprecated: 2020-xx-xx
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org

3. Record Requested:

Type: language
Subtag: kjf
Description: Khalaj [Indo-Iranian]
Deprecated: 2020-xx-xx

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration tracks a change made to ISO 639-3 effective
2020-01-23, retiring the code element 'kjf' for Khalaj as non-existent.
No Preferred-Value is indicated. The Description value "Khalaj" is
changed to "Khalaj [Indo-Iranian]" in order to avoid assigning 'klj',
for an unrelated language whose reference name was simultaneously
changed from "Turkic Khalaj" to "Khalaj", as the Preferred-Value for
this subtag in accordance with RFC 5646, Section 3.1.5, paragraph 5.

For more information on the ISO 639-3 change, refer to:
https://iso639-3.sil.org/sites/iso639-3/files/reports/639-3_ChangeRequests_2019_Summary.pdf

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2020-xx-xx
%%
Type: language
Subtag: kxl
Description: Nepali Kurux
Added: 2009-07-29
Deprecated: 2020-xx-xx
Preferred-Value: kru
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org

3. Record Requested:

Type: language
Subtag: kxl
Description: Nepali Kurux
Deprecated: 2020-xx-xx
Preferred-Value: kru

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration tracks a change made to ISO 639-3 effective
2020-01-23, merging 'kxl' for Nepali Kurux into 'kru' (Kurukh).

For more information on the ISO 639-3 change, refer to:
https://iso639-3.sil.org/sites/iso639-3/files/reports/639-3_ChangeRequests_2019_Summary.pdf

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2020-xx-xx
%%
Type: language
Subtag: lmz
Description: Lumbee
Added: 2009-07-29
Deprecated: 2020-xx-xx
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org

3. Record Requested:

Type: language
Subtag: lmz
Description: Lumbee
Deprecated: 2020-xx-xx

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration tracks a change made to ISO 639-3 effective
2020-01-23, retiring the code element 'lmz' for Lumbee as non-existent.
No Preferred-Value is indicated.

For more information on the ISO 639-3 change, refer to:
https://iso639-3.sil.org/sites/iso639-3/files/reports/639-3_ChangeRequests_2019_Summary.pdf

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2020-xx-xx
%%
Type: language
Subtag: plp
Description: Palpa
Added: 2009-07-29
Deprecated: 2020-xx-xx
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org

3. Record Requested:

Type: language
Subtag: plp
Description: Palpa
Deprecated: 2020-xx-xx

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration tracks a change made to ISO 639-3 effective
2020-01-23, retiring the code element 'plp' for Palpa as non-existent.
No Preferred-Value is indicated.

For more information on the ISO 639-3 change, refer to:
https://iso639-3.sil.org/sites/iso639-3/files/reports/639-3_ChangeRequests_2019_Summary.pdf

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2020-xx-xx
%%
Type: language
Subtag: tbb
Description: Tapeba
Added: 2009-07-29
Deprecated: 2020-xx-xx
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org

3. Record Requested:

Type: language
Subtag: tbb
Description: Tapeba
Deprecated: 2020-xx-xx

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration tracks a change made to ISO 639-3 effective
2020-01-23, retiring the code element 'tbb' for Tapeba as non-existent.
No Preferred-Value is indicated.

For more information on the ISO 639-3 change, refer to:
https://iso639-3.sil.org/sites/iso639-3/files/reports/639-3_ChangeRequests_2019_Summary.pdf

---

LANGUAGE SUBTAG MODIFICATION
File-Date: 2020-xx-xx
%%
Type: language
Subtag: zir
Description: Ziriya
Added: 2009-07-29
Deprecated: 2020-xx-xx
Preferred-Value: scv
%%

---

LANGUAGE SUBTAG REGISTRATION FORM

1. Name of requester: Doug Ewell
2. E-mail address of requester: doug at ewellic.org

3. Record Requested:

Type: language
Subtag: zir
Description: Ziriya
Deprecated: 2020-xx-xx
Preferred-Value: scv

4. Intended meaning of the subtag:

5. Reference to published description of the language (book or article):

6. Any other relevant information:

This registration tracks a change made to ISO 639-3 effective
2020-01-23, retiring the code element 'zir' for Ziriya as a duplicate of
'scv' (Sheni).

For more information on the ISO 639-3 change, refer to:
https://iso639-3.sil.org/sites/iso639-3/files/reports/639-3_ChangeRequests_2019_Summary.pdf

--
Doug Ewell | Thornton, CO, US | ewellic.org